% Code to plot the current and speed for blocked rotor test from file 'br.mat' 
load br.mat
t=br.X.Data;
br.Y.Name
motor_current=br.Y(1).Data;
motor_speed=br.Y(2).Data;

plot(t,motor_current,'*')
hold on;
plot(t,motor_current)
% Calculations for La
% Zoom in to the region when the step voltage was applied and use the cursor 
% to select two points and measure the maximum slope very close to t=0.
i1=%enter the motor current value at point 1
i2=%enter the motor current value at point 2
dt=%the time interval between any two points is 1e-4, dt=1e-4*number of time intervals between two points
slope=(i2-i1)/(dt) 
V=%Enter the value measured using the DMM (Phase A1-B1)
L=V/slope 

%Calculations for Ra
%First, the mean value of current in steady state is calculated and this
%value is used to find Ra using the formula, V=Ia*Ra
%Say the current is in steady state for t=[a,b]
index1=a/1e-4 
index2=b/1e-4
I_final= mean(motor_current(index1:index2)) 
R=V/I_final 

