% Toque speed characteristics with load
%For V_motor=10V
I_motor_10=[]; % Enter values of motor current with spaces
I_load_10=[]; % Enter values of load current with spaces
w_load_10=[]*(2*pi/60); % Enter values of motor speed with spaces (NOTE: Check which motor the speed is measured from. Reverse the sign of speed if the encoder is not on this motor.)
plot(I_motor_10*ke,w_load_10,'r')
hold on;
%For V_motor=15V
I_motor_15=[];% Enter values of motor current with spaces
I_load_15=[]; % Enter values of load current with spaces
w_load_15=[];% Enter values of motor speed with spaces
plot(I_motor_15*ke,w_load_15,'r')
xlabel('Torque (Nm)');
ylabel('Speed (rad/sec)');
title('Torque speed characteristics of DC motor');

% This plots the load motor torque-speed characteristics
figure;
plot(I_load_10*ke,-w_load_10,'g')
hold on;
plot(I_load_15*ke,-w_load_15,'g')

% No-Load test
ke= %Enter the value of ke you calculated in Exp 3
V_motor=[]%Enter the values of V_motor from Table 2
w=[]  %Enter the values of speed (radians per sec) from Table 2
I=[]%Enter the values of current from Table 2
T=ke*I
figure;
plot(w, T)
p=polyfit(w,T,1)
B= p(1)
Tfriction=p(2)
  
% This section is used to plot the speed of the motor. The plotter array
% from control desk is saved as j.mat
load j.mat
t=j.X.Data
I_Load=j.Y(1).Data
I_motor=j.Y(2).Data
w=j.Y(3).Data
plot(t,w,'*')
xlabel('time (sec)')
ylabel('speed(radians per sec)')
% select two points near time t=0, when the power to the motors is removed. 
w1= % Enter the value of speed here
w2=
t1=%Enter the corresponding time values here
t2=
dt=t2-t1;
slope=(w2-w1)/dt;
i0= %Enter the value of initial current at t=0 here
J=-ke*i0/slope


