% Run this section before you start 
% Select the section of code and hit F9. 
Vd = 42;
Ts = 1e-4;
f_rated = 60;

% Part 1: Determine Rs
% Enter the value of Rs in the line below
Rs = ;

% Part 2: Determine Ls (open Circuit Test)
load vi_unloaded.mat
time = vi_unloaded.X.Data;
i = vi_unloaded.Y(1).Data;
v = vi_unloaded.Y(2).Data;
plot(time, i, time, v)
grid on
legend('ia(t)', 'va(t)')
print('-dpdf', 'vi_no_load.pdf')
% Enter the peak value of Ia, Va, from the plot. the time difference between the zero
% crossings of the current and voltage.
Ia =                 ; %Enter the peak value of current here
Va =                 ; %Enter the peak value of voltage here
Ia_rms=Ia/sqrt(2);
Va_rms=Va/sqrt(2);
f_op=                ; %Enter the rated frequency in Hz (60)
deltaPart2 =         ; %Enter the time difference between the zero crossings of the current and voltage

thetaPart2 = abs(deltaPart2)*2*pi*f_op;
Z = (Va_rms/Ia_rms)*exp(j*thetaPart2);
Xm = imag(Z);
Lm = Xm/2/pi/f_rated; 
Rs = real(Z); 

% Part 3: Determine the slip speed
% Read the value of speed measurement here for slip calculation here
rpm_act =            ; %Enter the measured speed in RPM
rpm_syn = 1800;        % This is the synchronous speed in RPM
f_rated=rpm_syn*2/60   % This is the rated electrical speed in Hz
% Calculate the rated slip
slip_rated = (rpm_syn - rpm_act)*100/rpm_syn; 
f_slip = slip_rated*f_rated/100 % in Hz

%Part 4: Blocked Rotor Test
load vi_blocked.mat
time = vi_blocked.X.Data;
i = vi_blocked.Y(1).Data;
v = vi_blocked.Y(2).Data;
plot(time, i, time, v)
grid on
legend('ia(t)', 'va(t)')
print('-dpdf', 'vi_rated_load.pdf')
print('-dpng', 'vi_rated_load.png')

% Measure the peak values of I and V
IaBL_peak=              ; %Enter the peak value of current here
IaBL_rms = IaBL_peak/sqrt(2);
VaBL_peak=              ; %Enter the peak value of voltage here
VaBL_rms = VaBL_peak/sqrt(2);
f_injected=             ; %Enter the frequency of voltages injected in the IM
deltatPart4 =           ; %Enter the time difference between the zero crossings of the current and voltage

% Proceed to calculate the leakage
thetaPart4 = deltatPart4*2*pi*f_injected;
ZBL = (VaBL_rms/IaBL_rms)*exp(j*abs(thetaPart4));
Xl = imag(ZBL);
Ll = Xl/2/pi/f_injected
Rr_prime = real(ZBL) - Rs
Llr = 3/5*Ll
Lls = 2/5*Ll


